database_api.list_withdraw_vesting_routes
Purpose
Restituisce un elenco di rotte di prelievo del vesting (vesting withdraw route). Parametri: start:array; limit:int; order:string
startdipende daorder(vedere sotto)limitè fino a 1000.orderpuò essere uno tra:by_withdraw_route- ordina per rotta di prelievostartè un array di due valori:from_account,to_account
by_destination- ordina per destinazionestartè un array di due valori:to_account,route_id
| start (array) | limit (int) | order (string) | | |----------------------------|---------------|-| | ["temp", ""] | 10 | "by_withdraw_route" | Interroga le prime 10 rotte, ordina per rotta di prelievo | | ["", 0] | 10 | "by_destination" | Interroga le prime 10 rotte, ordina per destinazione |
Vedere anche: Paginated API Methods
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_name"
}Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_withdraw_vesting_routes",
"params": {
"start": [
"temp",
""
],
"limit": 10,
"order": "by_withdraw_route"
},
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_withdraw_vesting_routes",
"params": {
"start": [
"",
0
],
"limit": 10,
"order": "by_destination"
},
"id": 1
}'Response
RESPONSE
json
{
"routes": [
{
"id": 39503,
"from_account": "temperature",
"to_account": "luckdiver",
"percent": 10000,
"auto_vest": false
}
]
}